import { Component, OnInit } from '@angular/core';
import { DataService } from '../core/data.service';

@Component({
	selector: 'app-degree-planner',
	templateUrl: './degree-planner.component.html',
	styleUrls: ['./degree-planner.component.css']
})
export class DegreePlannerComponent implements OnInit {

	constructor(private dataService: DataService) { }

	ngOnInit() {
		this.getCourseData();
	}

	getCourseData(): void {
		this.dataService.getCourseData()
		.subscribe((data) => console.log('data: ', data));
	}
}
